clang-tools 10.0.0

Namespaces | Functions
RedundantExpressionCheck.cpp File Reference
`#include "RedundantExpressionCheck.h"`
`#include "../utils/Matchers.h"`
`#include "../utils/OptionsUtils.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Lex/Lexer.h"`
`#include "llvm/ADT/APInt.h"`
`#include "llvm/ADT/APSInt.h"`
`#include "llvm/ADT/FoldingSet.h"`
`#include "llvm/Support/Casting.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <cstdint>`
`#include <string>`
`#include <vector>`
Include dependency graph for RedundantExpressionCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::misc

## Functions
static bool | clang::tidy::misc::exprEvaluatesToZero (BinaryOperatorKind Opcode, APSInt Value)
static bool | clang::tidy::misc::exprEvaluatesToBitwiseNegatedZero (BinaryOperatorKind Opcode, APSInt Value)
static bool | clang::tidy::misc::exprEvaluatesToSymbolic (BinaryOperatorKind Opcode, APSInt Value)